#######################################################################
#
# NCM component for rgmaclient daemon
#
# Charles Loomis <charles.loomis@cern.ch>
# Version 1.0.3 : 11/04/05 15:03
#
# ** Generated file : do not edit **
#
#######################################################################

package NCM::Component::rgmaclient;

use strict;
use NCM::Component;
use vars qw(@ISA $EC);
@ISA = qw(NCM::Component);
$EC=LC::Exception::Context->new->will_store_all;
use NCM::Check;

use EDG::WP4::CCM::Element;

local(*DTA);


##########################################################################
sub Configure($$@) {
##########################################################################
    
    my ($self, $config) = @_;

    # Define paths for convenience. 
    my $base = "/software/components/rgmaclient";

    # Get the RGMA home area. 
    my $rgmaHome = "/opt/edg";
    if ($config->elementExists("$base/rgmaHome")) {
	$rgmaHome = $config->getValue("$base/rgmaHome");
    }

    # Get the mon and registry hosts.
    my $monHost = $config->getValue("$base/monHost");
    my $regHost = $config->getValue("$base/regHost");

    # Create the command.
    $ENV{RGMA_HOME} = $rgmaHome;
    my @cmd = ("$rgmaHome/share/rgma/scripts/rgma-setup.py", 
	       "--server=$monHost", 
	       "--registry=$regHost",
	       "--schema=$regHost");

    # Run it.
    $self->info("RUNNING: " . join(' ',@cmd));
    system(@cmd);
    $self->error("rgma-setup.py failed: " . ($? >> 8)) if $?;

    return 1;
}

1;      # Required for PERL modules
